SDL_CancelGPUCommandBuffer(3)

NAME
SDL_CancelGPUCommandBuffer - Cancels a command buffer.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_CancelGPUCommandBuffer(
    SDL_GPUCommandBuffer *command_buffer);

DESCRIPTION
None of the enqueued commands are executed.

It is an error to call this function after a swapchain texture has been acquired.

This must be called from the thread the command buffer was acquired on.

You must not reference the command buffer after calling this function.

FUNCTION PARAMETERS

command_buffer
    a command buffer.

RETURN VALUE
Returns true on success, false on error; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_WaitAndAcquireGPUSwapchainTexture(3), SDL_AcquireGPUCommandBuffer(3), SDL_AcquireGPUSwapchainTexture(3)